Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.ps
Class PSProcSets

    java.lang.Object
      org.apache.xmlgraphics.ps.PSProcSets

    public final class PSProcSets

extends Object

This class defines the basic resources (procsets) used by the Apache XML Graphics project.

Version:
  $Id: PSProcSets.java 1513682 2013-08-13 22:51:33Z lbernardo $

Field Summary
`static PSResource` | `EPS_PROCSET` the EPS procset for the XML Graphics project
`static PSCommandMap` | `STD_COMMAND_MAP` the standard command map matching the `STD_PROCSET`.
`static PSResource` | `STD_PROCSET` the standard procset for the XML Graphics project

Method Summary
`static void` | `writeEPSProcSet(PSGenerator gen)` Generates a resource defining a procset for including EPS graphics.
`static void` | `writeFOPEPSProcSet(PSGenerator gen)` Deprecated. Use writeEPSProcSet() instead.
`static void` | `writeFOPStdProcSet(PSGenerator gen)` Deprecated. Use writeStdProcSet() instead.
`static void` | `writeStdProcSet(PSGenerator gen)` Generates a resource defining standard procset with operations used by the XML Graphics project.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STD_PROCSET

    public static final PSResource STD_PROCSET

  the standard procset for the XML Graphics project

### EPS_PROCSET

    public static final PSResource EPS_PROCSET

  the EPS procset for the XML Graphics project

### STD_COMMAND_MAP

    public static final PSCommandMap STD_COMMAND_MAP

  the standard command map matching the `STD_PROCSET`.

Method Detail

### writeStdProcSet

    public static void writeStdProcSet(PSGenerator gen)
                                throws IOException

  Generates a resource defining standard procset with operations used by the XML Graphics project.

  Parameters:
    `gen` - PSGenerator to use for output
  Throws:
    `IOException` - In case of an I/O problem

### writeFOPStdProcSet

    public static void writeFOPStdProcSet(PSGenerator gen)
                                   throws IOException

  Deprecated. Use writeStdProcSet() instead.

  Generates a resource defining standard procset with operations used by the XML Graphics project.

  Parameters:
    `gen` - PSGenerator to use for output
  Throws:
    `IOException` - In case of an I/O problem

### writeEPSProcSet

    public static void writeEPSProcSet(PSGenerator gen)
                                throws IOException

  Generates a resource defining a procset for including EPS graphics.

  Parameters:
    `gen` - PSGenerator to use for output
  Throws:
    `IOException` - In case of an I/O problem

### writeFOPEPSProcSet

    public static void writeFOPEPSProcSet(PSGenerator gen)
                                   throws IOException

  Deprecated. Use writeEPSProcSet() instead.

  Generates a resource defining a procset for including EPS graphics.

  Parameters:
    `gen` - PSGenerator to use for output
  Throws:
    `IOException` - In case of an I/O problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.